%define upstream_name    ColorThemeBase-Static
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for color theme modules with static list of item
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/ColorThemeBase/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::RGB::Util) >= 0.607.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
ColorThemeBase::Static is a base class for color theme modules with static list
of items (from object's colors key).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 24 2025 tv <tv> 0.9.0-1.mga10
+ Revision: 2151977
- update to 0.009

* Mon Mar 21 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1812925
- Mageia 9 Mass Rebuild

* Fri Jul 17 2020 tv <tv> 0.8.0-1.mga8
+ Revision: 1606821
- imported package perl-ColorThemeBase-Static

